/*******************************************************************************
nfs.h

Copyright (C) 2000 Simon Nieuviarts

An implementaion of the NFS protocol.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version. 

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*******************************************************************************/
#ifndef __NFS_H__


#include <oskit/dev/osenv_mem.h>
#include <oskit/dev/osenv_timer.h>
#include <oskit/net/socket.h>
#include <oskit/fs/filesystem.h>


/* Initialize an NFS filesystem.
HOSTNAME: Name of the NFS server,
DIRNAME: Directory on the NFS server,
LOCALHOST: Name of the local host,
SHORT_TIMEOUT: Time in ms before retrying a call,
LONG_TIMEOUT: Time in ms before aborting a call,
 */
oskit_error_t oskit_nfs_init( oskit_osenv_mem_t *mem,
                              oskit_osenv_timer_t *timer,
                              oskit_socket_factory_t *sf,
                              const char *hostname,
                              const char *dirname,
                              const char *localhost,
                              oskit_u32_t short_timeout,
                              oskit_u32_t long_timeout,
                              oskit_filesystem_t **out_fs ) ;


#endif
